* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
:root {
  --blue1: #018ccd;
  --white1: #fff;
  --grey1: #f0f8ff;
  --black1: #000;
  --red1: #FF0000;
}
body{
width: 100%;
height: 100%;
background-color: #f0f8ff;
/* font-family: "Helvetica Neue",Helvetica,Arial,sans-serif; */
font-family: Arial, Helvetica, sans-serif;
margin-left: auto;
margin-right: auto;
}

article{
  margin-top: .3rem;
}
input{
  padding: .4rem;
}
textarea{
  padding: .4rem;
}

nav {
  background: #333;
  padding: .3rem;
}
ul {
  list-style-type: none;
}
ol {
	padding-left: 1.5rem;
}
a {
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
.div_table_1{
  display:grid;
  grid-gap:.125rem;
  background-color:#000;
  padding:.2rem;
  border-radius:.3rem;
}
.div_item_1{
  padding: .3rem;
  background-color: var(--grey1);
}
.div_table_2{
  padding:.2rem;
  border: .2rem solid #000;
  border-radius:.3rem;
}
/* Button Tags Anfang*/
button {
  width: 100%;
  /*height: 40px;*/
  border: 2px solid #000;
  border-radius: 4px;
  padding: 5px;
	background-color: #018ccd;
	color: #FFF;
	font-size: 1rem;
  cursor: pointer;
}
.button-blue {
	background-color: #018ccd;
}

.button-red {
	background-color: #FF0000;
}

.button-mar-top{
  margin-top: .1rem;
}

button:hover, .button-blue:hover , .button-red:hover {
  background-color: #000;
}
/* Button Tags Ende*/

.red_text {
	color: #FF0000;
	font-weight: bold;
}

.green_text {
  color: #008000;
	font-weight: bold;
}

.darkgreen_text {
  color: #006400;
	font-weight: bold;
}

.orange_text {
  color: #ffa500;
	font-weight: bold;
}

.darkorange_text {
  color: #ff8c00;
	font-weight: bold;
}

.lila_text {
  color: #800080;
	font-weight: bold;
}

.hotpink_text {
  color: #ff69b4;
	font-weight: bold;
}

.maroon_text {
  color: #800000;
	font-weight: bold;
}

.black_text {
  color: #000000;
	font-weight: bold;
}

.checkbox{
	background-color: #000;
}


/* Kommentare */
.comment_form{
	margin-top: 1rem;
	display: grid;
	grid-template-columns: auto;
	grid-gap: 1px;
	background-color: #000;
	padding: 2px;
	border-radius: 4px
}

/* Frage Feld */
.comment_output_0{
	margin-top: 1rem;
	display: grid;
	grid-template-columns: auto;
	background-color: #000;
	padding: 2px;
	border-radius: 4px;
}

/* Antwort Feld */
.comment_output_1{
	margin-top: 1rem;
	margin-left: 2rem;
	display: grid;
	grid-template-columns: auto;
	background-color: #000;
	padding: 2px;
	border-radius: 4px;
}

.comment_item_1{
	background-color: #f0f8ff;
	padding: 5px;
}

.comment_form_headline{
	color: #000;
}

.no_comment{
	color: #006400;
}


/* Content Area Start /*
/* Innerhalb des article */

.content-area-1,.rating-area{
width:1024px;
margin-left: auto;
margin-right: auto;
padding: .6rem;
}
@media (max-width: 1023px){
  .content-area-1,.rating-area{
  width:100%;
  margin-left: auto;
  margin-right: auto;
  }
}

.content-area-1 p,.content-area-2 p{
	padding-top: 0.5rem;
}

.content-area-1 ol ,.content-area-2 ol{
	padding-top: 0.5rem;
}

.content-area-1 ol > li,.content-area-2 ol > li{
	padding-top: 0.5rem;
}

.content-area-1 > h1,.content-area-1 > div > h1,.rating-area > h1,.rating-area > div > h1{
text-align: center;
color: #018ccd;
margin-top: 1rem;
font-size: 2rem;
}

.content-area-2 > h1{
  margin-top: 1rem;
}

@media (max-width: 468px){
.content-area-1 > h1,.content-area-1 > div > h1{
margin-top: 0;
}
}

.content-area-1 > a {
display: block;
color: #018ccd;
margin-top: .8rem;
margin-bottom: .8rem;
}

.content-area-1 > a > img{
width: 1024px;
height: auto;
}

.content-area-1 > img{
width: 1024px;
height: auto;
}

.content-area-1 > code{
width: 1024px;
}

.content-area-1 > audio{
  width: 100%;
  }

.content-area-1 > iframe,.vimeo iframe, .content-area-1 > div > iframe{
width: 100%;
height: 640px;
border: none;
margin-top: 1rem;
}
@media (max-width: 1023px){
	.content-area-1 > iframe,.vimeo iframe, .content-area-1 > div > iframe{
	height: 768px;
	}
}
@media (max-width: 768px){
	.content-area-1 > iframe,.vimeo iframe, .content-area-1 > div > iframe{
	height: 468px;
	}
}
@media (max-width: 568px){
  .content-area-1 > iframe,.vimeo iframe, .content-area-1 > div > iframe{
    height: 268px;
    margin-top: 0;
  }
}
.content-area-2{
padding: .6rem;
}
/* Content Area Ende */

pre{
  white-space: pre-wrap;
}

/*Info + Alert Boxen*/
.info-box{
	border: 1px solid;
	background-color: darkorange;
	margin-bottom: 1rem;
}

.info-box > p{
	padding: 0.5rem 1.5rem 0.5rem 1.5rem;
	font-size: 1.5rem;
}

.info-box > h1{
	padding: 0.5rem 1.5rem 0.5rem 1.5rem;
}

.info-box > h2{
	padding: 0.5rem 1.5rem 0.5rem 1.5rem;
}

.info-box > h3{
	padding: 0.5rem 1.5rem 0.5rem 1.5rem;
}

.info-box > ul{
	padding: 0rem 1.5rem 0rem 1.5rem;
}

.info-box > ul > li{
	padding: 0.5rem 0rem 0rem 0rem;
}

.info-box > ul > li:last-child{
	padding: 0.5rem 0rem 0.5rem 0rem;
}

.error-box{
	border: 1px solid;
	background-color: #F78181;
	margin-bottom: 1rem;
}

.error-box > p{
	padding: 0.5rem 1.5rem 0.5rem 1.5rem;
	font-size: 1.5rem;
}

.msg-box{
  display: none;
  color: #f0f8ff;
  align-items: center;
  padding: 0.3rem;
  border-radius: .3rem;
  margin:auto;
}

.msg-box > p{
  padding:0;
  font-weight: bold;
}

.msg-box-error{
  background-color: #FF0000;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  width:100%;
}
.msg-box-info{
  background-color: #ff8c00;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  width:100%;
}
.msg-box-msg{
  background-color: #006400;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  width:100%;
}

.msg-box-mg{
  margin-top: .5rem;
}

/*Info + Alert Boxen Ende */

/* Login Area */
.login-area {
width: 304px;
margin-left: auto;
margin-right: auto;
}

.login-area > h2{
margin-bottom: .8rem;
}

.login-area > form > label {
display: block;
margin-bottom: .3rem;
margin-top: .8rem;
}

.login-area > form > input {
width: 100%;
border: 2px solid #000;
border-radius: 4px;
padding: .8rem;
}

.login-area > button {
width: 304px;
height: 44px;
border: 2px solid #000;
border-radius: 4px;
padding: 5px;
background-color: #018ccd;
color: #FFF;
font-size: 20px;
}
/* Login Area Ende */

/* Footer */

.footer{
height: 100%;
margin-left: auto;
margin-right: auto;
padding: .6rem;
border-top: 1px solid #000;
}

.footer a{
text-decoration: none;
}

.footer_links a{
border-right: 1px solid #000;
padding-right: 0.5rem;
padding-left: 0.5rem;
}

.footer_links a:first-child{
padding-left: 0;
}

.footer_links a:last-child{
border-right: none;
padding-right: 0;
}
/* Footer Ende */

/* Start Menue */
.logo a:hover {
  text-decoration: none;
}
.menu > li {
  font-size: .8rem;
  padding: .5rem;
  white-space: nowrap;
}
.menu > li > a{
  color: #f0f8ff;
}
.item-nav-button.item-nav-secondary {
  border-bottom: 1px #444 solid;
}

.menu {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}
.menue-button {
  order: 2;
  cursor:pointer;
}
.menue-button > a{
  font-size: 1rem;
}
.item-nav.item-nav-button {
  order: 4;
}
.item-nav {
  width: 100%;
  text-align: left;
  order: 3;
  display: none;
}

.item-nav-mobile{
  display: none;
  order: 4;
  margin-top: .5rem;
  width: 100%
}

.item-nav-mobile > details > summary{
  color: white;
}

.item-nav-mobile > details > summary{
  font-size: .8rem;
  padding: 0.5rem 1rem;
  color:#f0f8ff;
  cursor: pointer;
  list-style: none;
}

.item-nav-mobile > details > li > a,.item-nav-mobile > details > a,.item-nav-mobile > li > a,.item-nav-mobile > a{
  display: block;
  font-size: .8rem;
  padding: 0.2rem;
  color:#f0f8ff;
  cursor: pointer;
  list-style: none;
  width: 100%;
  margin-left: .8rem;
}

.item-nav-mobile > details > li > a:hover{
  text-decoration: underline;
}

.item-nav-mobile > details > summary::-webkit-details-marker{
	display: none;
}

.item-nav-mobile > details > summary:before{
	content: "+";
  padding-right: 0.5rem;
  border: 1px solid #f0f8ff;
  padding-left: .5rem;
  margin-right: .5rem;
}

.item-nav-mobile > details > summary:after{
  padding-left: 0.5rem;
  color: #006400;
}

.item-nav-mobile > details[open] summary:before{
  padding-right: 0.5rem;
  content: "-";
  border: 1px solid #f0f8ff;
  padding-left: .5rem;
  margin-right: .5rem;
}

.item-nav-mobile > details[open] summary:after{
  padding-left: 0.5rem;
  color: #006400;
}

.item-nav-mobile > details[open] summary {
  font-style: italic;
  border-radius: 4px 4px 0 0;
}

/* Dropdown Menue */
.item-nav-content {
	display: none;
	position: absolute;
	background-color: inherit;
	z-index: 3;
  background-color: #333;
  right: 0;
  left: 0;
  border: .125rem solid #f0f8ff;
  white-space: pre-wrap;
  min-width: 10rem;
  max-height: 30rem;
  overflow-x: scroll;
}

.item-nav-content a {
color: #f0f8ff;
padding: .25rem;
text-decoration: none;
display: block;
text-align: left;
margin-top: .5rem;
width: 100%;
}

.item-nav-content a:hover{
background-color: #f0f8ff;
color: #333;
}

.item-nav:hover .item-nav-content{
display: flex;
flex-direction: column;
align-items: center;
}

.item-nav-content{
  animation: rotateMenu 400ms ease-in-out forwards;
  transform-origin: top center;
}
@keyframes rotateMenu {
    0% {
        transform: rotateX(-90deg);
    }
    70% {
        transform: rotateX(20deg);
    }
    100% {
        transform: rotateX(0deg);
    }
}

.down-arrow{
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: 2px;
  vertical-align: middle;
  border-top: 4px solid;
  border-right: 4px solid transparent;
  border-left: 4px solid transparent;
}



/* Tablet menu */
@media all and (min-width: 468px) {
  .menu {
      justify-content: center;
  }
  .logo {
      flex: 1;
  }
  .menu.li{
    font-size: .8rem;
    padding: .2rem;
  }
  .item-nav.item-nav-button {
      width: auto;
      order: 1;
      display: block;
  }
  .menue-button {
    order: 3;
  }
  .cart-area{
    order: 2;
  }
  .item-nav-mobile{
    display: none;
    width: 100%;
    order: 4;
  }
  .item-nav-button.item-nav-secondary {
      border: 0;
  }
  .item-nav-button a {
      padding: .8rem;
      background: #006d6d;
      border: .125rem #006d6d solid;
      border-radius:.5rem;
  }
  .item-nav-button.item-nav-secondary a {
      background: transparent;
  }
  .item-nav-button a:hover {
      text-decoration: none;
      transition:all .25s;
  }
  .item-nav-button:not(.item-nav-secondary) a:hover {
      background: #006d6d;
      border-color: #005959;
  }
  .item-nav-button.item-nav-secondary a:hover {
      color: #ddd;
  }
}

/* Desktop menu */
@media all and (min-width: 768px) {
  .item-nav {
  display: block;
  width: auto;
  position: relative;
  }
  .menue-button {
      display: none;
  }
  .logo {
      order: 0;
  }
  .item-nav {
    text-align: center;
    order: 1;
  }
  .item-nav-button {
    order: 2;
  }
  .cart-area{
    order: 5;
  }
  .menu > li {
    font-size: 1rem;
    padding: 0.8rem;
  }
  .menu > li.item-nav-button {
      padding-right: 0;
  }
}

/* Loading Animation Start */
.loading-balls {
  display: none;
  position: relative;
  width: 2rem;
  height: 2rem;
}
.loading-balls div {
  position: absolute;
  top: .8rem;
  width: .7rem;
  height: .7rem;
  border-radius: 50%;
  background: #000;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.loading-balls div:nth-child(1) {
  left: 8px;
  animation: lds-ellipsis1 0.6s infinite;
}
.loading-balls div:nth-child(2) {
  left: 8px;
  animation: lds-ellipsis2 0.6s infinite;
}
.loading-balls div:nth-child(3) {
  left: 32px;
  animation: lds-ellipsis2 0.6s infinite;
}
.loading-balls div:nth-child(4) {
  left: 56px;
  animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(24px, 0);
  }
}
/* Loading Animation Ende */

/* 20 Gruende */
.benefit{
  margin-bottom: .5rem;
}
.benefit > details > summary{
  padding: .5rem;
  font-size: 1.5rem;
  background-color: darkorange;
  border-radius: .3rem;
}
.benefit-text{
  color: darkorange;
  font-weight: bold;
}